<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Админ панель'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
aut();
only_level(4);
if(isset($user)){
$act = isset($_GET['act']) ? $_GET['act'] : '';
switch($act)
{
default:
echo '» <a href="?act=or">Управление оружием</a><br/>';
echo '» <a href="?act=cclub">Управление клубом</a><br/>';
break;

case 'addor':
echo '<form action="?act=addork" method="post">';
echo 'Название:<br/>';
echo '<input name="name" type="text"/><br/>';
echo 'Цена:<br/>';
echo '<input name="price" type="text"/><br/>';
echo '<input type="submit" value="Добавить"/>';
echo '</form>';
echo '<a href="admin.php">Админка</a>';
break;

case 'or':
echo '<div class="title">Управление оружием</div>';
$q=mysql_query("SELECT * FROM `shooter_shop`");
   if(mysql_num_rows($q) == 0)
	{
    	echo 'Нет оружия!';
	} 
while ($maxx = mysql_fetch_assoc($q))
{
echo 'Название: <b>'.output_text($maxx['name']).'</b><br/>';
echo 'Цена: '.intval($maxx['price']).'$ / <a href="?act=del&amp;id='.intval($maxx['id']).'">Удалить</a><br/><hr/>';
}
echo '<div class="title"><a href="admin.php">Админка</a></div>';
echo '<div class="title"><a href="?act=addor">Добавить</a></div>';

break;

case 'del':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
mysql_query("DELETE FROM `shooter_shop` WHERE `id`='$id'");
echo 'Удалено!<br/>';
echo '<a href="admin.php">Админка</a>';
//////////////////
case 'cclub':
echo '<div class="title">Управление клубом</div>';
$q=mysql_query("SELECT * FROM `club`");
   if(mysql_num_rows($q) == 0)
	{
    	echo 'Нет сообщений!';
	} 
while ($maxx = mysql_fetch_assoc($q))
{
echo 'Сообщение: <b>'.output_text($maxx['msg']).'</b><br/>';
echo '<a href="?act=delc&amp;id='.intval($maxx['id']).'">Удалить</a><br/><hr/>';
}
echo '<div class="title"><a href="admin.php">Админка</a></div>';
echo '<div class="title"><a href="?act=addor">Добавить</a></div>';

break;

case 'delc':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
mysql_query("DELETE FROM `club` WHERE `id`='$id'");
echo 'Удалено!<br/>';
echo '<a href="admin.php">Админка</a>';
//////////////////
break;
case 'addork':
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$price=(int)$_POST['price'];
if(!$name || !$price || $price<1){echo 'Пустые параметры!';break;};
mysql_query("INSERT INTO `shooter_shop` (`name`,`price`)VALUES('$name','$price')");
echo 'Добавлено!<br/>';
echo '<a href="admin.php">Админка</a>';
break;
}
}else{echo'err';}
include_once '../sys/inc/tfoot.php';
?>